Subject: [irtf-discuss] Internet of Secure Elements

From: Pascal Urien <[email-masked]>
Date: Mon, 28 Jun 2021 21:11:19 +0200

Hi All

The project "internet of secure element" (iose) aims at providing to
internet users storage and computing resources, with high security and
trust levels.
See https://datatracker.ietf.org/doc/draft-urien-coinrg-iose/02/
I am looking for partners in order to create this infrastructure

The idea is to deploy secure elements embedding TLS1.3 servers, TLS-SE,
see https://datatracker.ietf.org/doc/draft-urien-tls-se/02/ )
whose access is protected by pre shared keys. TLS-SE servers are identified
by server name (SN)
In the service plane trusted resources are used thanks to dedicated URIs
The administration plane, which performs application downloading in secure
element, could be based on the RACS protocol
See https://datatracker.ietf.org/doc/html/draft-urien-core-racs-14

Open code for TLS-SE secure elements:
https://github.com/purien/TLS-SE
Open Code for TLS-SE servers:
https://github.com/purien/keystore
Open code for RACS server:
https://github.com/purien/racs_0_1

Rgs
Pascal Urien